package org.w3c.rdfpic.core;

/**
 * An RdfDataProvider is responsible for dealing with all rdf data that
 * RdfPicCore produces/needs.  When loading a new file, RdfPicCore sets the
 * appropriate values, when saving reads them from here.
 */
public interface RdfDataProvider
{
    public String valOf(int schemaIndex, int predicateIndex);
    public void setVal(int schemaIndex,int predicateIndex,String newval);
}
